Package com.omnisci.thrift.server

## Class TFrontendView

- java.lang.Object
- - com.omnisci.thrift.server.TFrontendView

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TFrontendView>`, `org.apache.thrift.TBase<TFrontendView,​TFrontendView._Fields>`, `org.apache.thrift.TSerializable`

    public class TFrontendView
    extends Object
    implements org.apache.thrift.TBase<TFrontendView,​TFrontendView._Fields>, Serializable, Cloneable, Comparable<TFrontendView>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TFrontendView._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `image_hash`
`static Map<TFrontendView._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `update_time`
`String` `view_metadata`
`String` `view_name`
`String` `view_state`

### Constructor Summary

Constructors
`TFrontendView()`
`TFrontendView​(TFrontendView other)` Performs a deep copy on other.
`TFrontendView​(String view_name, String view_state, String image_hash, String update_time, String view_metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TFrontendView other)`
`TFrontendView` `deepCopy()`
`boolean` `equals​(TFrontendView that)`
`boolean` `equals​(Object that)`
`TFrontendView._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TFrontendView._Fields field)`
`String` `getImage_hash()`
`String` `getUpdate_time()`
`String` `getView_metadata()`
`String` `getView_name()`
`String` `getView_state()`
`int` `hashCode()`
`boolean` `isSet​(TFrontendView._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetImage_hash()` Returns true if field image_hash is set (has been assigned a value) and false otherwise
`boolean` `isSetUpdate_time()` Returns true if field update_time is set (has been assigned a value) and false otherwise
`boolean` `isSetView_metadata()` Returns true if field view_metadata is set (has been assigned a value) and false otherwise
`boolean` `isSetView_name()` Returns true if field view_name is set (has been assigned a value) and false otherwise
`boolean` `isSetView_state()` Returns true if field view_state is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TFrontendView._Fields field, Object value)`
`TFrontendView` `setImage_hash​(String image_hash)`
`void` `setImage_hashIsSet​(boolean value)`
`TFrontendView` `setUpdate_time​(String update_time)`
`void` `setUpdate_timeIsSet​(boolean value)`
`TFrontendView` `setView_metadata​(String view_metadata)`
`void` `setView_metadataIsSet​(boolean value)`
`TFrontendView` `setView_name​(String view_name)`
`void` `setView_nameIsSet​(boolean value)`
`TFrontendView` `setView_state​(String view_state)`
`void` `setView_stateIsSet​(boolean value)`
`String` `toString()`
`void` `unsetImage_hash()`
`void` `unsetUpdate_time()`
`void` `unsetView_metadata()`
`void` `unsetView_name()`
`void` `unsetView_state()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### view_name

    public String view_name

#### view_state

    public String view_state

#### image_hash

    public String image_hash

#### update_time

    public String update_time

#### view_metadata

    public String view_metadata

#### metaDataMap

    public static final Map<TFrontendView._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TFrontendView

    public TFrontendView()

#### TFrontendView

    public TFrontendView​(String view_name,
                         String view_state,
                         String image_hash,
                         String update_time,
                         String view_metadata)

#### TFrontendView

    public TFrontendView​(TFrontendView other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TFrontendView deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TFrontendView,​TFrontendView._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TFrontendView,​TFrontendView._Fields>`

#### getView_name

    public String getView_name()

#### setView_name

    public TFrontendView setView_name​(String view_name)

#### unsetView_name

    public void unsetView_name()

#### isSetView_name

    public boolean isSetView_name()

Returns true if field view_name is set (has been assigned a value) and false otherwise

#### setView_nameIsSet

    public void setView_nameIsSet​(boolean value)

#### getView_state

    public String getView_state()

#### setView_state

    public TFrontendView setView_state​(String view_state)

#### unsetView_state

    public void unsetView_state()

#### isSetView_state

    public boolean isSetView_state()

Returns true if field view_state is set (has been assigned a value) and false otherwise

#### setView_stateIsSet

    public void setView_stateIsSet​(boolean value)

#### getImage_hash

    public String getImage_hash()

#### setImage_hash

    public TFrontendView setImage_hash​(String image_hash)

#### unsetImage_hash

    public void unsetImage_hash()

#### isSetImage_hash

    public boolean isSetImage_hash()

Returns true if field image_hash is set (has been assigned a value) and false otherwise

#### setImage_hashIsSet

    public void setImage_hashIsSet​(boolean value)

#### getUpdate_time

    public String getUpdate_time()

#### setUpdate_time

    public TFrontendView setUpdate_time​(String update_time)

#### unsetUpdate_time

    public void unsetUpdate_time()

#### isSetUpdate_time

    public boolean isSetUpdate_time()

Returns true if field update_time is set (has been assigned a value) and false otherwise

#### setUpdate_timeIsSet

    public void setUpdate_timeIsSet​(boolean value)

#### getView_metadata

    public String getView_metadata()

#### setView_metadata

    public TFrontendView setView_metadata​(String view_metadata)

#### unsetView_metadata

    public void unsetView_metadata()

#### isSetView_metadata

    public boolean isSetView_metadata()

Returns true if field view_metadata is set (has been assigned a value) and false otherwise

#### setView_metadataIsSet

    public void setView_metadataIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TFrontendView._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TFrontendView,​TFrontendView._Fields>`

#### getFieldValue

    public Object getFieldValue​(TFrontendView._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TFrontendView,​TFrontendView._Fields>`

#### isSet

    public boolean isSet​(TFrontendView._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TFrontendView,​TFrontendView._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TFrontendView that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TFrontendView other)

Specified by:
  `compareTo` in interface `Comparable<TFrontendView>`

#### fieldForId

    public TFrontendView._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TFrontendView,​TFrontendView._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`